geronimo-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Juergen Weber <webe...@gmail.com>
Subject JDBC4 Postgresql Driver fails to install
Date Mon, 23 Nov 2009 11:55:35 GMT

Hi,

I just checked with 2.1.4, there the driver installs as

 <groupId>org.postgresql</groupId>
                <artifactId>postgresql</artifactId>
                <version>8.4.701.jdbc4</version>
                <type>jar</type>

I rechecked with 2.2 with these IDs, the exception stays the same.

Thanks, 
Juergen


Juergen Weber wrote:
> 
> Hi,
> 
> I tried to install postgresql-8.4-701.jdbc4.jar to the repository of
> 2.2-SNAPSHOT
> Build 	2009.11.22-08:16:13.118-0500
> as 
> 
> Group: org.postgresql 
> Artifact: postgresql
> Version: 8.4-701
> Type: jar
> Name: postgresqljdbc
> 
> and get the exception below. What is wrong? The Name: field is new, isn't
> it? 
> 
> Thanks,
> Juergen
> 
> java.lang.IllegalArgumentException: id must be in the form
> [groupId]/[artifactId]/[version]/[type] : postgresqljdbc
> 	org.apache.geronimo.kernel.repository.Artifact.create(Artifact.java:61)
> 
> org.apache.geronimo.kernel.repository.Artifact.createPartial(Artifact.java:55)
> 
> org.apache.geronimo.system.resolver.ExplicitDefaultArtifactResolver.propertiesToArtifactMap(ExplicitDefaultArtifactResolver.java:98)
> 
> org.apache.geronimo.system.resolver.ExplicitDefaultArtifactResolver.addAliases(ExplicitDefaultArtifactResolver.java:140)
> 
> org.apache.geronimo.console.repository.RepositoryViewPortlet.processAction(RepositoryViewPortlet.java:203)
> 	org.apache.pluto.core.PortletServlet.dispatch(PortletServlet.java:218)
> 	org.apache.pluto.core.PortletServlet.doPost(PortletServlet.java:145)
> 	javax.servlet.http.HttpServlet.service(HttpServlet.java:713)
> 	javax.servlet.http.HttpServlet.service(HttpServlet.java:806)
> 
> org.apache.pluto.core.DefaultPortletInvokerService.invoke(DefaultPortletInvokerService.java:167)
> 
> org.apache.pluto.core.DefaultPortletInvokerService.action(DefaultPortletInvokerService.java:85)
> 
> org.apache.pluto.core.PortletContainerImpl.doAction(PortletContainerImpl.java:217)
> 
> org.apache.pluto.driver.PortalDriverServlet.doGet(PortalDriverServlet.java:121)
> 
> org.apache.pluto.driver.PortalDriverServlet.doPost(PortalDriverServlet.java:167)
> 	javax.servlet.http.HttpServlet.service(HttpServlet.java:713)
> 	javax.servlet.http.HttpServlet.service(HttpServlet.java:806)
> 
> org.apache.geronimo.console.filter.PlutoURLRebuildFilter.doFilter(PlutoURLRebuildFilter.java:48)
> 
> org.apache.geronimo.console.filter.XSSXSRFFilter.doFilter(XSSXSRFFilter.java:130)
> 
> 
> 
> 

-- 
View this message in context: http://old.nabble.com/IllegalArgumentException%3A-id-must-be-in-the-form-...-tp26467880s134p26476753.html
Sent from the Apache Geronimo - Users mailing list archive at Nabble.com.


Mime
View raw message